org.springframework.dao

## Class DeadlockLoserDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.TransientDataAccessException
            - - org.springframework.dao.ConcurrencyFailureException
              - - org.springframework.dao.PessimisticLockingFailureException
                - - org.springframework.dao.DeadlockLoserDataAccessException

All Implemented Interfaces:
  Serializable

    public class DeadlockLoserDataAccessException
    extends PessimisticLockingFailureException

Generic exception thrown when the current process was a deadlock loser, and its transaction rolled back.

Author:
  Rod Johnson
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DeadlockLoserDataAccessException(String msg, Throwable cause)` Constructor for DeadlockLoserDataAccessException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeadlockLoserDataAccessException

    public DeadlockLoserDataAccessException(String msg,
                                    Throwable cause)

Constructor for DeadlockLoserDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use